ATA_ID_C_STRING(9)

NAME
ata_id_c_string - Convert IDENTIFY DEVICE page into C string

SYNOPSIS

void ata_id_c_string(const u16 * id, unsigned char * s, unsigned int ofs, unsigned int len);

ARGUMENTS

id
    IDENTIFY DEVICE results we will examine

s
    string into which data is output

ofs
    offset into identify device page

len
    length of string to return. must be an odd number.

DESCRIPTION

This function is identical to ata_id_string except that it trims trailing spaces and terminates the resulting string with null. len must be actual maximum length (even number) + 1.

LOCKING

caller.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT